<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: style2_mitab_panel.php
| Author: Mehmet IPEK
| Name: MI Tab Panel
| Version: 1.00
| Support Site: http://www.phpfusionturkiye.com/
| Site: http://www.karakecili-asireti.com/
+--------------------------------------------------------+
| JQuery Code based on code from ID Tabs
| http://www.sunsean.com/idTabs/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mi_tab_panel/infusion_db.php";

if (file_exists(INFUSIONS."mi_tab_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."mi_tab_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."mi_tab_panel/locale/English.php";
}

include INFUSIONS."mi_tab_panel/infusion_db.php";

$mitabsettings = dbarray(dbquery("SELECT * FROM ".DB_MI_TAB.""));

include INFUSIONS."mi_tab_panel/includes/mi_tab_panel_styles2.php";

global $settings;
add_to_head("<script type='text/javascript' src='".INFUSIONS."mi_tab_panel/includes/jquery.idTabs.js'></script>");

	if ($mitabsettings['blok_activate'] == "1") {
	opentable($mitabsettings['blok_name']);
	}else{
	echo "<div class='floatfix'>";
	}
    if ($mitabsettings['tab1_enable'] == "1" || $mitabsettings['tab2_enable'] == "1" || $mitabsettings['tab3_enable'] == "1" || $mitabsettings['tab4_enable'] == "1" || $mitabsettings['tab5_enable'] == "1") {
	
	echo "<div id='usual' class='usual'>\n";
		echo "<ul class='tabs'>";
			if ($mitabsettings['tab1_enable'] == "1" && $mitabsettings['tab1_content'] !== "" && $mitabsettings['tab1_name'] !== "") { 
			echo"<li><a href='#tab1'>".stripslashes($mitabsettings['tab1_name'])."</a></li>";
			}
			if ($mitabsettings['tab2_enable'] == "1" && $mitabsettings['tab2_content'] !== "" && $mitabsettings['tab2_name'] !== "") { 
			echo"<li><a href='#tab2'>".stripslashes($mitabsettings['tab2_name'])."</a></li>";
			}
			if ($mitabsettings['tab3_enable'] == "1" && $mitabsettings['tab3_content'] !== "" && $mitabsettings['tab3_name'] !== "") { 
			echo"<li><a href='#tab3'>".stripslashes($mitabsettings['tab3_name'])."</a></li>";
			}
			if ($mitabsettings['tab4_enable'] == "1" && $mitabsettings['tab4_content'] !== "" && $mitabsettings['tab4_name'] !== "") { 
			echo"<li><a href='#tab4'>".stripslashes($mitabsettings['tab4_name'])."</a></li>";
			}
			if ($mitabsettings['tab5_enable'] == "1" && $mitabsettings['tab5_content'] !== "" && $mitabsettings['tab5_name'] !== "") { 
			echo"<li><a href='#tab5'>".stripslashes($mitabsettings['tab5_name'])."</a></li>";
			}
		echo "</ul>";
		
		echo "<div class='items'>";
			if ($mitabsettings['tab1_enable'] == "1" && $mitabsettings['tab1_content'] !== "" && $mitabsettings['tab1_name'] !== "") { 
			echo "<div id='tab1'>";
			eval("?>".stripslashes($mitabsettings['tab1_content'])."<?php ");
			//echo stripslashes($mitabsettings['tab1_content']);
			echo "</div>\n";
			}
			if ($mitabsettings['tab2_enable'] == "1" && $mitabsettings['tab2_content'] !== "" && $mitabsettings['tab2_name'] !== "") { 
			echo "<div id='tab2'>";
			eval("?>".stripslashes($mitabsettings['tab2_content'])."<?php ");
			//echo stripslashes($mitabsettings['tab2_content']);
			echo "</div>\n";
			}
			if ($mitabsettings['tab3_enable'] == "1" && $mitabsettings['tab3_content'] !== "" && $mitabsettings['tab3_name'] !== "") { 
			echo "<div id='tab3'>";
			eval("?>".stripslashes($mitabsettings['tab3_content'])."<?php ");
			//echo stripslashes($mitabsettings['tab3_content']);
			echo "</div>\n";
			}
			if ($mitabsettings['tab4_enable'] == "1" && $mitabsettings['tab4_content'] !== "" && $mitabsettings['tab4_name'] !== "") { 
			echo "<div id='tab4'>";
			eval("?>".stripslashes($mitabsettings['tab4_content'])."<?php ");
			//echo stripslashes($mitabsettings['tab4_content']);
			echo "</div>\n";
			}
			if ($mitabsettings['tab5_enable'] == "1" && $mitabsettings['tab5_content'] !== "" && $mitabsettings['tab5_name'] !== "") { 
			echo "<div id='tab5'>";
			eval("?>".stripslashes($mitabsettings['tab5_content'])."<?php ");
			//echo stripslashes($mitabsettings['tab5_content']);
			echo "</div>\n";
			}
		echo "</div>\n";
		if ($mitabsettings['blok_activate'] == "0") {
		// COPYRIGHT PLEASE DON'T DELETE
		echo"<div class='side small' style='padding-bottom:0px;text-align:right;color:#000;'>".$locale['copyright_panel']."</div>\n";
		}
	echo "</div>\n";
	
	}else{
	echo"<div style='text-align: center;'>".$locale['mit_set64']."</div>\n";
	}
	if ($mitabsettings['blok_activate'] == "1") {
	// COPYRIGHT PLEASE DON'T DELETE
	echo"<div class='side small' style='text-align:right; color:#000;'>".$locale['copyright_panel']."</div>\n";
	}
	if ($mitabsettings['mitidtabs_eftc'] == "2") {
		echo "<script type='text/javascript'>
		var fade = function(id,s){
		  s.tabs.removeClass(s.selected);
		  s.tab(id).addClass(s.selected);
		  s.items.fadeOut();
		  s.item(id).fadeIn();
		  return false;
		};
		$.fn.fadeTabs = $.idTabs.extend(fade);
		$('.usual').fadeTabs();
		</script>";
	}elseif ($mitabsettings['mitidtabs_eftc'] == "1") {
		echo "<script type='text/javascript'>
		$('#usual ul').idTabs('!mouseover');
		</script>";	
	}else{
		echo "<script type='text/javascript'>
		 $('#usual ul').idTabs(); 
		</script>";	
	}   
    if ($mitabsettings['blok_activate'] == "1") {
	closetable();
	}else{
	echo "</div>\n";
	}
?>
