<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: style3_mitab_panel.php
| Author: Mehmet IPEK
| Name: MI Tab Panel
| Version: 1.00
| Support Site: http://www.phpfusionturkiye.com/
| Site: http://www.karakecili-asireti.com/
+--------------------------------------------------------+
| JQuery Code based on code from Folder Tabs
| http://www.red-team-design.com/css3-jquery-folder-tabs
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mi_tab_panel/infusion_db.php";

if (file_exists(INFUSIONS."mi_tab_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."mi_tab_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."mi_tab_panel/locale/English.php";
}

include INFUSIONS."mi_tab_panel/infusion_db.php";

$mitabsettings = dbarray(dbquery("SELECT * FROM ".DB_MI_TAB.""));

include INFUSIONS."mi_tab_panel/includes/mi_tab_panel_styles3.php";

global $settings;
	echo "<script type='text/javascript'>
		$(document).ready(function() {
			$('#contentf div').hide(); 
			$('#tabs li:first').attr('id','current'); 
			$('#contentf div:first').fadeIn(); 			
			$('#tabs a').click(function(e) {
				e.preventDefault();
				if ($(this).closest('li').attr('id') == 'current'){
				 return       
				}
				else{             
				$('#contentf div').hide(); 
				$('#tabs li').attr('id',''); 
				$(this).parent().attr('id','current');
				$('#' + $(this).attr('name')).fadeIn();
				}
			});
		});
	</script>";

	if ($mitabsettings['blok_activate'] == "1") {
	opentable($mitabsettings['blok_name']);
	}else{
	echo "<div class='floatfix'>";
	}
    if ($mitabsettings['tab1_enable'] == "1" || $mitabsettings['tab2_enable'] == "1" || $mitabsettings['tab3_enable'] == "1" || $mitabsettings['tab4_enable'] == "1" || $mitabsettings['tab5_enable'] == "1") {
		echo "<ul id='tabs'>\n";
			if ($mitabsettings['tab1_enable'] == "1" && $mitabsettings['tab1_content'] !== "" && $mitabsettings['tab1_name'] !== "") { 
			echo"<li><a href='#tab1' name='tab1'>".stripslashes($mitabsettings['tab1_name'])."</a></li>";
			}
			if ($mitabsettings['tab2_enable'] == "1" && $mitabsettings['tab2_content'] !== "" && $mitabsettings['tab2_name'] !== "") { 
			echo"<li><a href='#tab2' name='tab2'>".stripslashes($mitabsettings['tab2_name'])."</a></li>";
			}
			if ($mitabsettings['tab3_enable'] == "1" && $mitabsettings['tab3_content'] !== "" && $mitabsettings['tab3_name'] !== "") { 
			echo"<li><a href='#tab3' name='tab3'>".stripslashes($mitabsettings['tab3_name'])."</a></li>";
			}
			if ($mitabsettings['tab4_enable'] == "1" && $mitabsettings['tab4_content'] !== "" && $mitabsettings['tab4_name'] !== "") { 
			echo"<li><a href='#tab4' name='tab4'>".stripslashes($mitabsettings['tab4_name'])."</a></li>";
			}
			if ($mitabsettings['tab5_enable'] == "1" && $mitabsettings['tab5_content'] !== "" && $mitabsettings['tab5_name'] !== "") { 
			echo"<li><a href='#tab5' name='tab5'>".stripslashes($mitabsettings['tab5_name'])."</a></li>";
			}
		echo"</ul>\n";
	
		echo"<div id='contentf'>";
			if ($mitabsettings['tab1_enable'] == "1" && $mitabsettings['tab1_content'] !== "" && $mitabsettings['tab1_name'] !== "") { 
			echo "<div id='tab1'>";
			eval("?>".stripslashes($mitabsettings['tab1_content'])."<?php ");
			//echo stripslashes($mitabsettings['tab1_content']);
			echo "</div>\n";
			}
			if ($mitabsettings['tab2_enable'] == "1" && $mitabsettings['tab2_content'] !== "" && $mitabsettings['tab2_name'] !== "") { 
			echo "<div id='tab2'>";
			eval("?>".stripslashes($mitabsettings['tab2_content'])."<?php ");
			//echo stripslashes($mitabsettings['tab2_content']);
			echo "</div>\n";
			}
			if ($mitabsettings['tab3_enable'] == "1" && $mitabsettings['tab3_content'] !== "" && $mitabsettings['tab3_name'] !== "") { 
			echo "<div id='tab3'>";
			eval("?>".stripslashes($mitabsettings['tab3_content'])."<?php ");
			//echo stripslashes($mitabsettings['tab3_content']);
			echo "</div>\n";
			}
			if ($mitabsettings['tab4_enable'] == "1" && $mitabsettings['tab4_content'] !== "" && $mitabsettings['tab4_name'] !== "") { 
			echo "<div id='tab4'>";
			eval("?>".stripslashes($mitabsettings['tab4_content'])."<?php ");
			//echo stripslashes($mitabsettings['tab4_content']);
			echo "</div>\n";
			}
			if ($mitabsettings['tab5_enable'] == "1" && $mitabsettings['tab5_content'] !== "" && $mitabsettings['tab5_name'] !== "") { 
			echo "<div id='tab5'>";
			eval("?>".stripslashes($mitabsettings['tab5_content'])."<?php ");
			//echo stripslashes($mitabsettings['tab5_content']);
			echo "</div>\n";
			}
		if ($mitabsettings['blok_activate'] == "0") {
		// COPYRIGHT PLEASE DON'T DELETE
		echo"<p class='side small' style='margin-bottom:0px;text-align:right; color:#B30000;'>".$locale['copyright_panel']."</p>\n";
		}
		echo "</div>\n";
	}else{
		echo"<div style='text-align: center;'>".$locale['mit_set64']."</div>\n";
	}		 
    if ($mitabsettings['blok_activate'] == "1") {
	// COPYRIGHT PLEASE DON'T DELETE
	echo"<div class='side small' style='text-align:right; color:#B30000;'>".$locale['copyright_panel']."</div>\n";
	closetable();
	}else{
	echo "</div>\n";
	}
   
?>
